- name: Remove an interface selector profile associated with a switch policy leaf profile
  cisco.aci.aci_interface_selector_to_switch_policy_leaf_profile:
    host: "{{ fabric }}"
    username: "{{ vault_secrets['username'] }}"
    password: "{{ vault_secrets['password'] }}"
    use_proxy: False
    use_ssl: True
    validate_certs: False
    state: absent
    leaf_profile: "{{ leaf_swprofs }}"
    interface_selector: "{{ ifprofile_name }}"
  delegate_to: localhost
  register: lip_lswprofile_result
    
- name: Print out message based on the configuration status
  debug:
    msg: "The leaf interface profile {{ ifprofile_name }} was removed from leaf switch profile {{ leaf_swprofs }}."
  when: lip_lswprofile_result.changed